/* msg.h -- declaration for verbosity sensitive feedback function
   Copyright (c) 1988, 89, 90, 91, 92, 93 Miguel Santana
   Copyright (c) 1995, 96, 97 Akim Demaille, Miguel Santana

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

#ifndef _MSG_H_
#define _MSG_H_

#include "message.h"

#define message_test(lvl) (lvl & message_verbosity)

#define msg_null	(0)

/* Normal flow of messages
 * This one is painful, because we want it to be easy to understand as
 * -v0, -v1 and -v2 */
#define msg_report	(1 << 0)
#define msg_report2	(1 << 1)
#define msg_report1	(msg_report2 | msg_report)

/* Style sheets processing */
#define msg_sheet2	(1 << 2)
#define msg_sheet3	(1 << 3)
#define msg_sheet1	(msg_sheet2 | msg_sheet3)

/* Path walk function */
#define msg_pw2		(1 << 4)
#define msg_pw3		(1 << 5)
#define msg_pw1		(msg_pw2 | msg_pw3)

/* Encoding functions */
#define msg_enc2	(1 << 6)
#define msg_enc3	(1 << 7)
#define msg_enc1	(msg_enc2 | msg_enc3)

/* Options / Configuration */
#define msg_opt		(1 << 8)

/* Files related stuff */
#define msg_file2	(1 << 9)
#define msg_file3	(1 << 10)
#define msg_file1	(msg_file2 | msg_file3)

/* Tools (small routines) related stuff */
#define msg_tool2	(1 << 11)
#define msg_tool3	(1 << 12)
#define msg_tool1	(msg_tool2 | msg_tool3)

/* Font related stuff */
#define msg_font2	(1 << 13)
#define msg_font3	(1 << 14)
#define msg_font1	(msg_font2 | msg_font3)

/* PPD related */
#define msg_ppd		(1 << 15)

#endif /* not MSG_H_ */
